{% extends "enquete2/base.html" %}
{% load static %}
{% block main %}

<!-- MAIN -->
<main role="main">
  <!-- Main Header -->
  <header>
    <div class="carousel-default owl-carousel carousel-main carousel-nav-white background-dark text-center">
      <div class="item">
        <div class="s-12">
          <img src="{% static 'enquete2/img/header.jpg' %}" alt="">
          <div class="carousel-content">
            <div class="content-center-vertical line">
              <div class="margin-top-bottom-80">
                <!-- Title -->
                <h1 class="text-white margin-bottom-30 text-size-60 text-m-size-30 text-line-height-1">Nova Aplicação de Enquete</h1>
                <div class="s-12 m-10 l-8 center"><p class="text-white text-size-14 margin-bottom-40">Aplicação exemplo desenvolvida no contexto da disciplina de Desenvolvimento de Sistemas Web, do curso de Tecnologia em Análise e Desenvolvimento de Sistemas - TADS - do campus Natal-Central - CNAT - do Instituto Federal de Educação, Ciência e Tecnologia do Rio Grande do Norte - IFRN.</p></div>
                <div class="line">
                  <div class="s-12 m-12 l-3 center">
                    <a class="button button-white-stroke s-12" href="#">Cadastre uma Enquete</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>

  {% if pergunta_list %}
  <!-- Section 1 -->
  <section class="section-small-padding background-white text-center">
    <div class="line">
      <div class="margin">
        {% for pergunta in pergunta_list %}
        <div class="s-12 m-12 l-4 margin-m-bottom">
          <div class="padding-2x block-bordered">
            <i class="icon-sli-question icon3x text-dark center margin-bottom-30"></i>
            <h2 class="text-thin">Enquete #{{ pergunta.id }}</h2>
            <p class="margin-bottom-30">{{ pergunta.texto }}<br/>
            (<a href="{% url 'enquete2:resultado' pergunta.id %}">clique para ver parcial</a>)</p>
            <a class="button button-dark-stroke text-size-12" href="{% url 'enquete2:detalhes' pergunta.id %}">VER DETALHES</a>
          </div>
        </div>
        {% if forloop.counter == 3 %}
      </div>
    </div>
    <div class="line">
      <div class="margin">
        {% endif %}
        {% endfor %}
      </div>
    </div>
  </section>
{% else %}
<section class="section-small-padding background-white text-center">
  <div class="line text-center">
    <div class="margin">
      <div class="s-12 m-12 l-4 margin-m-bottom">
        <div class="padding-2x background-primary">
          <i class="icon-sli-shield icon3x text-white margin-bottom-30"></i>
          <h2 class="text-thin">Nenhuma Enquete cadastrada até o momento!</h2>
        </div>
      </div>
    </div>
  </div>
</section>
{% endif %}

{% endblock %}